package agentw

import (
	"context"
	"log/slog"

	"gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v18/internal/agentwcfg"
	"gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v18/internal/module/workspaces"
)

type module struct {
	log *slog.Logger
}

func (m *module) Run(ctx context.Context, _ <-chan *agentwcfg.AgentConfiguration) error {
	<-ctx.Done()
	return nil
}

func (m *module) DefaultAndValidateConfiguration(_ *agentwcfg.AgentConfiguration) error {
	return nil
}

func (m *module) Name() string {
	return workspaces.ModuleName
}
